summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2002-05-24 08:37:05 +0000
committerJim Meyering <jim@meyering.net>2002-05-24 08:37:05 +0000
commit37877a3b9c6989864b05322c683c326f134383e7 (patch)
treee6621a7e6d615997a68af1ada8877abbf42e0454 /tests
parent81c4b1fcff9189a689c8882e1958c0033c112e5c (diff)
downloadcoreutils-37877a3b9c6989864b05322c683c326f134383e7.tar.xz
renamed from nice
Diffstat (limited to 'tests')
-rwxr-xr-xtests/misc/nice70
1 files changed, 70 insertions, 0 deletions
diff --git a/tests/misc/nice b/tests/misc/nice
new file mode 100755
index 000000000..6b2feacd6
--- /dev/null
+++ b/tests/misc/nice
@@ -0,0 +1,70 @@
+#! /bin/sh
+# This script takes no arguments.
+
+if test -n "$DJDIR"; then
+ echo "$0: cannot test nice on DJGPP" >&2
+ exit 77
+fi
+
+tests='
+0 empty 10
+1 -1 1
+2 -12 12
+3 -1:-2 2
+4 -n:1 1
+5 -n:1:-2 2
+6 -n:1:-+12 12
+7 -2:-n:1 1
+8 -2:-n:12 12
+9 -+1 1
+10 -+12 12
+11 -+1:-+12 12
+12 -n:+1 1
+13 --1:-2 2
+14 --1:-2:-13 13
+15 --1:-n:2 2
+16 --1:-n:2:-3 3
+17 --1:-n:2:-13 13
+18 -n:-1:-12 12
+19 --1:-12 12
+NA LAST NA
+'
+set - $tests
+
+if test "$VERBOSE" = yes; then
+ nice --version
+ set -x
+fi
+
+_POSIX2_VERSION=199209
+export _POSIX2_VERSION
+
+# Require that this test be run at `nice' level 0.
+niceness=`nice`
+if test "$niceness" = 0; then
+ : ok
+else
+ echo "$0: this test must be run at nice level 0" 1>&2
+ exit 77
+fi
+
+fail=0
+while :; do
+ test_name=$1
+ args=$2
+ expected_result=$3
+ test $args = empty && args=''
+ test x$args = xLAST && break
+ args=`echo x$args|tr : ' '|sed 's/^x//'`
+ if test "$VERBOSE" = yes; then
+ #echo "testing \`nice $args nice\` = $expected_result ..."
+ echo "test $test_name... " | tr -d '\012'
+ fi
+ test x`nice $args nice 2> /dev/null` = x$expected_result \
+ && ok=ok || ok=FAIL fail=1
+ test "$VERBOSE" = yes && echo $ok
+ test x`nice $args nice 2> /dev/null` = x$expected_result || fail=1
+ shift; shift; shift
+done
+
+exit $fail